Bug 501800 - [RHEL4] Nscd consumes many cpu resources ( nearly 100% ) continuously.
Summary: [RHEL4] Nscd consumes many cpu resources ( nearly 100% ) continuously.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.5
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Vitaly Mayatskikh
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Keywords: Regression, ZStream
Depends On: 496201
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-05-20 18:56 UTC by Benjamin Kahn
Modified: 2018-10-20 00:04 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Off-by-one errors in the time normalization code could have caused clock_gettime() to return one billion nanoseconds, rather than adding an extra second. This bug could have caused the name service cache daemon (nscd) to consume excessive CPU resources.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-30 08:06:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1132 normal SHIPPED_LIVE Important: kernel security and bug fix update 2009-06-30 08:06:02 UTC

Description Benjamin Kahn 2009-05-20 18:56:56 UTC
This bug has been copied from bug #496201 and has been proposed
to be backported to 4.8 z-stream (EUS).

Comment 4 Vitaly Mayatskikh 2009-05-21 16:42:55 UTC
Committed in 89.0.1.EL

Comment 8 errata-xmlrpc 2009-06-30 08:06:36 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1132.html

Comment 10 Douglas Silas 2011-01-30 23:40:34 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Off-by-one errors in the time normalization code could have caused clock_gettime() to return one billion nanoseconds, rather than adding an extra second. This bug could have caused the name service cache daemon (nscd) to consume excessive CPU resources.


Note You need to log in before you can comment on or make changes to this bug.